FreeMat

- Main Page
- Related Pages

vtkAppendFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkAppendFilter is a filter that appends one of more datasets into a single unstructured grid. All geometry is extracted and appended, but point attributes (i.e., scalars, vectors, normals, field data, etc.) are extracted and appended only if all datasets have the point attributes available. (For example, if one dataset has scalars but another does not, scalars will not be appended.)

To create an instance of class vtkAppendFilter, simply invoke its constructor as follows

      obj = vtkAppendFilter

# Methods

The class vtkAppendFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkAppendFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkAppendFilter = obj.NewInstance ()`
- `vtkAppendFilter = obj.SafeDownCast (vtkObject o)`
- `obj.RemoveInput (vtkDataSet in)` - Remove a dataset from the list of data to append.
- `vtkDataSetCollection = obj.GetInputList ()` - Returns a copy of the input array. Modifications to this list will not be reflected in the actual inputs.